﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{58BE31C7-D0A1-4475-95D4-FDD6F8241050}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>RteLib</RootNamespace>
    <AssemblyName>RteLib</AssemblyName>
    <TargetFrameworkVersion>v4.5.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="OsarResources, Version=0.1.9.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Libs\OsarResources.dll</HintPath>
    </Reference>
    <Reference Include="OsarSourceFileLib, Version=1.1.3.1, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\Libs\OsarSourceFileLib.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="RteConfig\RteConfig.cs" />
    <Compile Include="RteConfig\RteConfigImportHandler.cs" />
    <Compile Include="RteConfig\RteConfigResources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RteConfigResources.resx</DependentUpon>
    </Compile>
    <Compile Include="RteConfig\RteConfigTypes.cs" />
    <Compile Include="RteInterface\RteInterfaceImportHandler.cs" />
    <Compile Include="RteInterface\RteInterfaceResources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RteInterfaceResources.resx</DependentUpon>
    </Compile>
    <Compile Include="RteInterface\RteInterfaces.cs" />
    <Compile Include="RteInterface\RteInterfaceTypes.cs" />
    <Compile Include="RteModuleInternalBehavior\RteModuleInternalBehavior.cs" />
    <Compile Include="RteModuleInternalBehavior\RteModuleInternalBehaviorTypes.cs" />
    <Compile Include="RteModuleInternalBehavior\RteModuleInternalBehaviorResources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RteModuleInternalBehaviorResources.resx</DependentUpon>
    </Compile>
    <Compile Include="RteResources\RteDefinedElementUUIDs.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RteDefinedElementUUIDs.resx</DependentUpon>
    </Compile>
    <Compile Include="RteResources\RteDefineRteTypes.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RteDefineRteTypes.resx</DependentUpon>
    </Compile>
    <Compile Include="RteResources\RteProjectStructure.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RteProjectStructure.resx</DependentUpon>
    </Compile>
    <Compile Include="RteTypes\RteBaseTypesResource.cs" />
    <Compile Include="RteTypes\RteDataTypeHelper.cs" />
    <Compile Include="RteTypes\RteDataTypeStructure.cs" />
    <Compile Include="RteTypes\RteTypes.cs" />
    <Compile Include="RteTypes\RteTypesImportHandler.cs" />
    <Compile Include="RteTypes\RteTypesResources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>RteTypesResources.resx</DependentUpon>
    </Compile>
    <Compile Include="version.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="RteConfig\RteConfigResources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>RteConfigResources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RteInterface\RteInterfaceResources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>RteInterfaceResources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RteModuleInternalBehavior\RteModuleInternalBehaviorResources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>RteModuleInternalBehaviorResources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RteResources\RteDefinedElementUUIDs.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>RteDefinedElementUUIDs.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RteResources\RteDefineRteTypes.resx">
      <Generator>PublicResXFileCodeGenerator</Generator>
      <LastGenOutput>RteDefineRteTypes.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RteResources\RteProjectStructure.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>RteProjectStructure.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="RteTypes\RteTypesResources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>RteTypesResources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>cd $(ProjectDir)
if $(ConfigurationName) == Debug VersionControl.exe C# 0
if $(ConfigurationName) == Release VersionControl.exe C# 1</PreBuildEvent>
  </PropertyGroup>
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>